INTERFACE
SUBROUTINE CPG_GPB_NHGEOGW(&
 & KST,KEND,LDLDIAB,PRCORI,&
 & PRATATX,PRATATH,POROG,POROGL,POROGM,POROGLL,POROGMM,POROGLM,&
 & PGFL,PGMV,&
 & PRE0,PRE0L,PRE0M,PRE0F,PNHPRE0F,PNHPRE0H,PDELP0,PRDELP0,PLNPR0,PALPH0,&
 & PHI0,PHIF0,PHI0FL,PHI0FM,PCP0,PR0,PRTGR0,PKAP0,PRRED0,&
 & PEVEL0,PVVEL0,PGWFT0,PSDVBC0,PKENE0,&
 & PSGRTL,PSGRTM,PGPHL,PGPHM,PSDIV0,PDIVP0,PSDFI0,PRT0L,PRT0M,&
 & PRE9,PRE9F,PNHPRE9F,PNHPRE9H,PDELP9,PRDELP9,PLNPR9,PALPH9,&
 & PHI9,PHIF9,PCP9,PR9,PGWFT9,&
 & PTNDPD,PTNDVD,P3DIVG,PDBBC,&
 & PNHXT0,PNHXT9,PQCHA0L,PQCHA0M) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVG ,NPROMA ,NPROMNH ,NPROMVC
USE YOM_YGFL , ONLY : YGFL ,YQ
USE YOMGMV , ONLY : YT0 ,YT9 ,NDIMGMV
INTEGER(KIND=JPIM),INTENT(IN) :: KST
INTEGER(KIND=JPIM),INTENT(IN) :: KEND
LOGICAL ,INTENT(IN) :: LDLDIAB
REAL(KIND=JPRB) ,INTENT(IN) :: PRCORI(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PRATATX(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PRATATH(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: POROG(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: POROGL(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: POROGM(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: POROGLL(NPROMNH)
REAL(KIND=JPRB) ,INTENT(IN) :: POROGMM(NPROMNH)
REAL(KIND=JPRB) ,INTENT(IN) :: POROGLM(NPROMNH)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGFL(NPROMA,NFLEVG,YGFL%NDIM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGMV(NPROMA,NFLEVG,NDIMGMV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRE0(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRE0L(NPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRE0M(NPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRE0F(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PNHPRE0F(NPROMNH,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PNHPRE0H(NPROMNH,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDELP0(NPROMA,0:NFLEVG+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRDELP0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PLNPR0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PALPH0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PHI0(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PHIF0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PHI0FL(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PHI0FM(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCP0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PR0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRTGR0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PKAP0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRRED0(NPROMNH,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PEVEL0(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVVEL0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PGWFT0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSDVBC0(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PKENE0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSGRTL(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSGRTM(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PGPHL(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PGPHM(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSDIV0(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDIVP0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSDFI0(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRT0L(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRT0M(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRE9(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRE9F(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PNHPRE9F(NPROMNH,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PNHPRE9H(NPROMNH,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDELP9(NPROMA,0:NFLEVG+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRDELP9(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PLNPR9(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PALPH9(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PHI9(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PHIF9(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCP9(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PR9(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PGWFT9(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTNDPD(NPROMNH,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTNDVD(NPROMNH,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: P3DIVG(NPROMNH,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDBBC(NPROMNH)
REAL(KIND=JPRB) ,INTENT(OUT) :: PNHXT0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PNHXT9(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PQCHA0L(NPROMNH,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PQCHA0M(NPROMNH,NFLEVG)
END SUBROUTINE CPG_GPB_NHGEOGW
END INTERFACE
